"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10b4de950>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10b4de9e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dea70>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10b4deb00>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10b4deb90>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dec20>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10b4decb0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b4ded40>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dedd0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dee60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10b4deef0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10b4def80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df010>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df0a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df130>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df1c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df250>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df2e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df370>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df400>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df490>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df520>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df5b0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df640>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df760>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df6d0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df7f0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df880>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df910>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10b4df9a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfa30>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfac0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfb50>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfbe0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfc70>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfd00>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfd90>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfe20>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dfeb0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b4dff40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b520040>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10b5200d0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10b520160>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10b5201f0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10b520280>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10b520310>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10b5203a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10b520430>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10b5204c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10b520550>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10b5205e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10b520670>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b520700>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10b520790>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10b520820>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b5208b0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b520940>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10b5209d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10b520a60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10b520af0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10b520b80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10b520c10>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10b520ca0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b520d30>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10b520dc0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10b520f70>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10b520e50>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10b521000>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10b521090>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10b521120>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10b5211b0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10b521240>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10b521360>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10b5212d0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10b5213f0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10b521480>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10b521510>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10b521630>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10b5215a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10b5216c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10b521750>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10b5217e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10b521870>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10b521900>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10b521990>)]
name: str = 'fr_HOCCN'
